Change log

Home
List of new slugs to support multiple languages
API Change
Auth API New methods to fetch translations
GET /translations and GET /translations/{slug}
  • Ability to fetch by language (querystring parameter langPreference required)
  • Ability to fetch translation for a specific slug (Use either querystring slug or path parameter)
  • Ability to fetch translations for more than one slug (Use querystring parameter slug with pipe separator) (max 50 in one request)
Resource API New methods to fetch supported languages and update language preference for the user
GET /languages and POST /languages
  • The communication sent to the app and to the user will be in the language set as the preferred language for the user
  • If the user has not set a preferred language then the registered device language is used
Resource API preferredLanguage added to the response of GET /user method
Auth API
Resource API
Changes to error response
  • The error response use to contain status, message, code and errorDetails. It now has additional field translatedErrorDetails

    All the errors returned remain the same as before except a new additional field translatedErrorDetails has been added

    message : API error message in English
    errorDetails : For developers, additional information about the error in English
    translatedErrorDetails : Error message(s) translated in user preferred language

    translatedErrorDetails are in user preferred language and can be used to display additional information to the user

    Some api errors might not warrant translated error details and it is up to the app to display appropriate messages to the user depending on the outcome of the action

    e.g.
    Max challenges exceeded error results only api error (no developer and user translated message) in English

    Bad request parameter error would usually contain a developer message. e.g. 'Invalid intent for map' in English (but it might not contain translatedErrorDetails as the error is intended for developer and not the end-user)

    Validation errors would usually contain translatedErrorDetails in user preferred language even when the preferred language is English as these can be displayed to the user if the app chooses to

Resource API finalSettlement status added to the response of GET /sessions method
Indicates whether final settlement was successful for the session or not
Receipt can be requested for sessions that are settled using GET /receipt method